#ifndef _INCLUDE_CSERVERPLUGINPENDING_H
#define _INCLUDE_CSERVERPLUGINPENDING_H

#include <ISmmPlugin.h>
#include <sourcehook/sourcehook.h>
#include <igameevents.h>

#define PENDING_VERSION		"1"
#define PENDING_VERSION_F	1.0

class CServerPluginPending : public ISmmPlugin
{
public:
	bool Load(PluginId id, ISmmAPI *ismm, char *error, size_t maxlen, bool late);
	bool Unload(char *error, size_t maxlen);
	void AllPluginsLoaded() {}
	bool Pause(char *error, size_t maxlen) { return true; }
	bool Unpause(char *error, size_t maxlen) { return true; }
	int GetApiVersion() { return PLAPI_VERSION; }
	const char *GetAuthor() { return "dackz"; }
	const char *GetName() { return "pending_mm"; }
	const char *GetDescription() { return "Kicks active players with a pending steamid"; }
	const char *GetURL() { return "http://dackz.net/"; }
	const char *GetLicense() { return "Public Domain"; }
	const char *GetVersion() { return PENDING_VERSION; }
	const char *GetDate() { return __DATE__; }
	const char *GetLogTag() { return "PENDING"; }
};

extern CServerPluginPending g_ServerPluginPending;

PLUGIN_GLOBALVARS();

#endif /* _INCLUDE_CSERVERPLUGINPENDING_H */
